﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GridViewAndComboBoxSL;
using Telerik.Windows.Controls;

namespace GridViewAndComboBoxSL
{
    public class ViewModel: ViewModelBase
    {
        public ObservableCollection<GridItem> GridViewItems { get; set; }

        public ViewModel()
        {

            this.GridViewItems = new ObservableCollection<GridItem>
            {
                new GridItem { Name = "Test 1", Date = DateTime.Today, ComboSource = new List<string>{"1", "2", "3"}},
                new GridItem { Name = "Test 2", Date = DateTime.Today, ComboSource = new List<string>{"1", "2", "3"}},
                new GridItem { Name = "Test 3", Date = DateTime.Today, ComboSource = new List<string>{"1", "2", "3"}},
                new GridItem { Name = "Test 4", Date = DateTime.Today, ComboSource = new List<string>{"1", "2", "3"}},
                new GridItem { Name = "Test 5", Date = DateTime.Today, ComboSource = new List<string>{"1", "2", "3"}},
            };
        }

        private GridItem _SelectedItemGrid;

        /// <summary>
        /// Gets or sets SelectedItemGrid and notifies for changes
        /// </summary>
        public GridItem SelectedItemGrid
        {
            get
            {
                return this._SelectedItemGrid;
            }

            set
            {
                if (this._SelectedItemGrid != value)
                {
                    this._SelectedItemGrid = value;
                    this.OnPropertyChanged(() => this.SelectedItemGrid);
                }
            }
        }
    }
}
